.icon {
    background-position: center center;
    background-repeat: no-repeat;
    display: inline-block;
    vertical-align: middle;

    &.icon-search-submit{
        width: rem(16);
        height: rem(16);
        background-image: url('../img/ico-search.svg');
    }
    &.icon-search-white{
        width: rem(18);
        height: rem(18);
        background-image: url('../img/ico-search-white.svg');
    }
    &.icon-filter {
        width: rem(12);
        height: rem(12);
        background-image: url('../img/ico-filter.png');
    }
    &.icon-edit {
        width: rem(16);
        height: rem(16);
        background-image: url('../img/ico-edit.png');
    }
    
    &.icon-favorites {
        width: rem(21);
        height: rem(20);
        background-image: url('../img/ico-favorites.svg');
        &.on{
            background-image: url('../img/ico-favorites-on.png');
        }
    }
    &.icon-favorites-sm {
        width: rem(14);
        height: rem(14);
        vertical-align: sub;
        background-image: url('../img/ico-favorites-sm.png');
        &.on{
            background-image: url('../img/ico-favorites-sm-on.png');
        }
    }
    &.icon-star {
        width: rem(18);
        height: rem(17);
        background-image: url('../img/ico-star.png');
        &.on{
            background-image: url('../img/ico-star-on.png');
        }
    }
    &.icon-help {
        width: rem(20);
        height: rem(20);
        background-image: url('../img/ico-help.svg');
    }

    &.icon-help-sm {
        width: rem(16);
        height: rem(16);
        background-image: url('../img/ico-help-sm.svg');
    }

    &.icon-close-mdi {
        width: rem(10);
        height: rem(10);
        vertical-align: middle;
        background-image: url('../img/ico-close-mdi.svg');
    }

    &.icon-close {
        width: rem(14);
        height: rem(14);
        vertical-align: middle;
        background-image: url('../img/ico-close.png');
    }

    &.icon-mdi-prev {
        width: rem(5);
        height: rem(9);
        background-image: url('../img/ico-mdi-prev.svg');
    }
    &.icon-mdi-next {
        width: rem(5);
        height: rem(9);
        background-image: url('../img/ico-mdi-next.svg');
    }
    &.icon-new-window {
        width: rem(13);
        height: rem(13);
        vertical-align: middle;
        background-image: url('../img/ico-new-window.svg');
    }
    &.icon-up {
        width: rem(13);
        height: rem(7);
        vertical-align: middle;
        background-image: url('../img/arr-accordian.svg');
        &.rotate90{
            transform: rotate(90deg);
        }
        &.rotate180{
            transform: rotate(180deg);
        }
    }
    &.icon-add {
        width: rem(16);
        height: rem(16);
        // vertical-align: initial; 230725
        background-image: url('../img/ico-add.png');
    }
    &.icon-download {
        width: rem(16);
        height: rem(16);
        background-image: url('../img/ico-download.svg');
    }
    &.icon-delete {
        width: rem(14);
        height: rem(18);
        background-image: url('../img/ico-delete.png');
    }
    &.icon-modify {
        width: rem(14);
        height: rem(16);
        background-image: url('../img/ico-modify.png');
        .btn-small & {
            background-size: contain;
        }
    }
    &.icon-arr-in-circle{
        width: rem(14);
        height: rem(15);
        background-image: url('../img/arr-in-circle.png');
    }
    &.icon-check{
        width: rem(18);
        height: rem(11);
        background-image: url('../img/ico-check.png');
        
    }

    &.ico-delete-circle{
        width: rem(14);
        height: rem(14);
        background-image: url('../img/ico-delete-circle.png');
    }
    &.icon-grid-filter {
        width: rem(8);
        height: rem(9);
        background-image: url('../img/ico-grid-filter.png');
    }
    &.icon-sort {
        width: rem(4);
        height: rem(8);
        background-image: url('../img/ico-sort.png');
        
    }
    &.icon-refresh {
        width: rem(17);
        height: rem(16);
        background-image: url('../img/ico-refresh.svg');
    }
    
    &.icon-share {
        width: rem(16);
        height: rem(16);
        background-image: url('../img/ico-share.svg');
    }
    &.icon-setting {
        width: rem(18);
        height: rem(18);
        background-image: url('../img/ico-setting.png');
    }
    &.icon-setting {
        width: rem(18);
        height: rem(18);
        background-image: url('../img/ico-setting.png');
    }
    &.icon-folding {
        width: rem(20);
        height: rem(20);
        background-image: url('../img/ico-fold.png');
    }
    
    &.icon-add-file {
        width: rem(14);
        height: rem(14);
        background-image: url('../img/ico-add-file.png');
    }
    &.icon-copy {
        width: rem(20);
        height: rem(20);
        background-image: url('../img/ico-copy.png');
        background-size: contain;

        &.small{
            width: rem(16);
            height: rem(16);
        }
    }
    &.icon-date {
        width: rem(12);
        height: rem(14);
        background-image: url('../img/ico-date.png');
    }
   
    &.icon-drag {
        width: rem(12);
        height: rem(12);
        background-image: url('../img/ico-drag.png');
    }
    &.icon-split {
        width: rem(24);
        height: rem(24);
        background-image: url('../img/arr-split.png');
    }

    &.icon-move {
        width: rem(10);
        height: rem(10);
        background-image: url('../img/ico-move.png');
    }
   
    &.icon-plus {
        width: rem(17);
        height: rem(17);
        position: relative;
        
        &:before, &:after {
            content: "";
            position: absolute;
            left: 50%;
            top: 50%;
            width: rem(17);
            height: rem(1);
            background-color: $grey700;

            
        }
        &:before {
            transform: translate(-50%, -50%);
        }
        &:after {
            transform: translate(-50%, -50%) rotate(90deg);
        }
        &.small{
            &::before,
            &::after {
                width: rem(13)
            } 
            
        }
        &.white{
            &:before, &:after {
                background-color: $white;
            }
        }
        
    }
    
    &.icon-minus {
        width: rem(17);
        height: rem(17);
        position: relative;
        vertical-align: middle;
        
        &:before {
            content: "";
            position: absolute;
            left: 50%;
            top: 50%;
            width: rem(17);
            height: rem(1);
            background-color: $grey700;
            transform: translateX(-50%);
        }
        &.small{
            &:before {
                width: rem(13);
                top: 45%;
            } 
        }
        
    }

    &.icon-add-mint {
        width: rem(10);
        height: rem(10);
        position: relative;
        &:before, &:after {
            content: "";
            position: absolute;
            left: 50%;
            top: 50%;
            width: rem(2);
            height: rem(10);
            background-color: $mint-blue;
        }
        &:before {
            transform: translate(-50%, -50%);
        }
        &:after {
            transform: translate(-50%, -50%) rotate(90deg);
        }
    }
    &.icon-file {
        width: rem(20);
        height: rem(20);
        background-image: url('../img/ico-file.png');
    }
   
    &.icon-question {
        width: rem(18);
        height: rem(18);
        background-image: url('../img/ico-question.png');
    }

    &.icon-cmnt-user {
        width: rem(20);
        height: rem(20);
        background-image: url('../img/ico-avatar.png');
        &.large{
            width: rem(32);
            height: rem(32);
            background-image: url(../img/ico-avatar-18.png);
        }
    }
    &.icon-like {
        width: rem(20);
        height: rem(20);
        background-image: url('../img/ico-cmmt-like.png');

        &.on{
            background-image: url('../img/ico-cmmt-like-on.png');
        }
    }
    &.icon-view {
        width: rem(20);
        height: rem(20);
        background-image: url('../img/ico-cmmt-eye.png');
    }
    &.icon-comment {
        width: rem(20);
        height: rem(20);
        background-image: url('../img/ico-cmmt-comment.png');
    }
    &.icon-list {
        width: rem(20);
        height: rem(20);
        background-image: url('../img/ico-list.png');
    }
    &.icon-confirm {
        width: rem(20);
        height: rem(20);
        background-image: url('../img/ico-cmmt-confirm.png');
    }
    &.icon-reply {
        width: rem(20);
        height: rem(20);
        background-image: url('../img/ico-cmmt-reply.png');
        background-size: 20px auto;
    }
    &.icon-type {
        width: rem(20);
        height: rem(20);
        background-image: url('../img/ico-typeface.png');
        background-size: 20px auto;
    }
    &.icon-user {
        width: rem(16);
        height: rem(16);
        background-image: url('../img/ico-user.png');
    }
    &.icon-cal {
        width: rem(16);
        height: rem(16);
        background-image: url('../img/ico-calendar.png');
    }
    &.icon-time {
        width: rem(16);
        height: rem(16);
        background-image: url('../img/ico-time.png');
    }
    &.icon-location {
        width: rem(16);
        height: rem(16);
        background-image: url('../img/ico-location.png');
    }
}
